#include<stdio.h>

int main()
{
  int n,razmak,zvezdaA=1,i,j;
  scanf("%d",&n);
  razmak=n-1;
  if(n>0)
  {
      for(i=0;i<n;i++) //za svako prihvatljivo i stampa jedan red
      {
	  for(j=0;j<razmak;j++)// za svako prihvatljivo j stampa znak razmaka
	  {
	      printf(" ");
	  }
	  for(j=1;j<=zvezdaA;j++)//za svako novo prihvatljivo j stampa *A ili *
	  {
	      if(j==zvezdaA) // proverava da li treba poslednja * biti ispisana
	      {
		  printf("*");
	      }
	      else printf("*A");
	  }
	  zvezdaA++;
      razmak=razmak-1;
      printf("\n");
      }
  }
  else printf("%d",-1);
  return 0;
}